package java.de.TimeSlice;

/**
 * @author      Burghard Grueter
 * @author      Johannes Schick
 * @version     1.0, 11/06/2000
 * @since       JDK1.2
 */
 
	/**
	 * interface <pre>UpdateTaskListener</pre>
	 * is implemented by <pre>TaskPanelListener</pre>
	 * which needs to know changes in <pre>Task</pre>
	 * to display the current state	
	 */
public interface UpdateTaskListener
{

	/**
	 * is called by an instance of <pre>Task</pre> when
	 * the state or showing data changes
	 *
	 */
	public void updateTaskPanel();
}

